#
# spec file for package patterns-media
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest
Name:           patterns-media
Version:        20170319
Release:        57.1
Summary:        Patterns for Installation (media patterns)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains patterns that determine the contents of media
such as DVD's

%package rest_cd_core
%pattern_desktopfunctions
Summary:        Remaining Software
Group:          Metapackages
Provides:       pattern() = rest_cd_core
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1941
Requires:       kernel-default
Requires:       kernel-firmware-all
Requires:       pattern() = base
Requires:       pattern() = enhanced_base
Requires:       pattern() = fonts
Requires:       pattern() = sw_management
Requires:       pattern() = x11
# minimal set of yast modules
Requires:       yast2-bootloader
Requires:       yast2-country
Requires:       yast2-hardware-detection
Requires:       yast2-network
Requires:       yast2-proxy
# branding for the installation
Requires:       yast2-qt-branding-openSUSE
Requires:       yast2-storage-ng
Requires:       yast2-trans-stats
Requires:       yast2-x11
# adaptec-firmware (#298726)
Recommends:     adaptec-firmware
# #396109
Recommends:     alsa-firmware
Recommends:     aspell-en
Recommends:     atmel-firmware
Recommends:     awesfx
# #327506
Recommends:     b43-fwcutter
# supplements by modaliases
Recommends:     bluez-firmware
# filesystem(btrfs)
Recommends:     btrfsprogs
Recommends:     bundle-lang-common-en
Recommends:     chrony
Recommends:     cifs-utils
# prefer the full version for installation
Recommends:     cracklib-dict-full
# crypto partitions
Recommends:     cryptsetup
Recommends:     db-utils
# needed to detect if a system is the same
Recommends:     dmidecode
# filesystem(vfat)
Recommends:     dosfstools
Recommends:     dvb
# filesystem(ext2)
Recommends:     e2fsprogs
Recommends:     espeak
Recommends:     fprintd-pam
Recommends:     gtk2-branding-openSUSE
Recommends:     insserv
# bnc#548325
Recommends:     ipw-firmware
# laptop stuff
Recommends:     irda
Recommends:     iw
# filesystem(jfs)
Recommends:     jfsutils
Recommends:     libatm1
# TPM+FDE
Recommends:     libtss2-tcti-device0
Recommends:     lomoco
Recommends:     lsb-release
#lvm2 support (#301382)
Recommends:     lvm2
# #494547 - just testing
Recommends:     manufacturer-PPDs
# #304219
Recommends:     memtest86+
Recommends:     mpt-firmware
# give vim haters an editor
Recommends:     nano
# filesystem(ntfs-3g)
Recommends:     ntfs-3g
Recommends:     open-iscsi
# bug#591085
Recommends:     open-vm-tools
Recommends:     p7zip
Recommends:     pam_ldap
# needed by yast2-storage-ng for crypt partitions
Recommends:     pam_mount
Recommends:     pcmciautils
Recommends:     ppp
Recommends:     pptp
# yast can configure quota - if present on medium (#348336)
Recommends:     quota
# adding to LiveCD (bnc#419201)
Recommends:     rsync
# LiveCD accessible? (bnc#391327)
Recommends:     sbl
# Required for systemd-boot/grub2-bls
Recommends:     sdbootutil
Recommends:     grub2-x86_64-efi-bls
Recommends:     smartmontools
# DELL laptop support
Recommends:     smbios-utils-python
# required by yast2-dsl (#377472)
Recommends:     smpppd
Recommends:     sssd
Recommends:     susehelp_en
Recommends:     suspend
# Required by YaST for FDE+TPM
Recommends:     systemd-boot
Recommends:     systemd-logger
# Required for FDE+TPM
Recommends:     tpm2.0-tools
Recommends:     tpm2-0-tss
Recommends:     unzip
# filesystem(minix)
Recommends:     util-linux
# bug#589416
Recommends:     virtualbox-guest-tools
# enhances virtualbox speed (#365562)
Recommends:     virtualbox-guest-x11
Recommends:     wireless-regdb
Recommends:     wpa_supplicant
# all xf86 drivers
Recommends:     xf86-video-ark
Recommends:     xf86-video-ast
Recommends:     xf86-video-ati
Recommends:     xf86-video-chips
Recommends:     xf86-video-cirrus
Recommends:     xf86-video-dummy
Recommends:     xf86-video-fbdev
Recommends:     xf86-video-glint
Recommends:     xf86-video-i128
Recommends:     xf86-video-intel
Recommends:     xf86-video-mach64
Recommends:     xf86-video-mga
Recommends:     xf86-video-neomagic
Recommends:     xf86-video-nouveau
Recommends:     xf86-video-nv
Recommends:     xf86-video-qxl
Recommends:     xf86-video-r128
Recommends:     xf86-video-savage
Recommends:     xf86-video-siliconmotion
Recommends:     xf86-video-sis
Recommends:     xf86-video-sisusb
Recommends:     xf86-video-tdfx
Recommends:     xf86-video-tga
Recommends:     xf86-video-v4l
Recommends:     xf86-video-vesa
Recommends:     xf86-video-vmware
Recommends:     xf86-video-voodoo
# file system stuff
Recommends:     xfsdump
# filesystem(xfs)
Recommends:     xfsprogs
# decompression to recover something
Recommends:     xz
Recommends:     yast2-trans-cs
Recommends:     yast2-trans-da
Recommends:     yast2-trans-de
Recommends:     yast2-trans-en_GB
Recommends:     yast2-trans-es
Recommends:     yast2-trans-fr
Recommends:     yast2-trans-hu
Recommends:     yast2-trans-it
Recommends:     yast2-trans-ja
Recommends:     yast2-trans-pl
Recommends:     yast2-trans-pt
Recommends:     yast2-trans-pt_BR
Recommends:     yast2-trans-ru
Recommends:     yast2-trans-stats
Recommends:     yast2-trans-sv
Recommends:     yast2-trans-zh_CN
Recommends:     yast2-trans-zh_TW
# Firmware for ZD1211 based WLAN sticks
Recommends:     zd1211-firmware
Recommends:     zip
%ifarch aarch64 x86_64
Recommends:     efibootmgr
%endif
%ifarch x86_64
Recommends:     sssd-32bit
# sssd-32bit pulls in some pam-32bit, which results in the need to also have
# systemd-32bit available (or pam-config -a --systemd will fail later on)
Recommends:     systemd-32bit
%endif

%description rest_cd_core
Packages that are on CD but not in other patterns.

%files rest_cd_core
%dir %{_docdir}/patterns
%{_docdir}/patterns/rest_cd_core.txt

%package rest_dvd
%pattern_desktopfunctions
Summary:        Remaining Software
Group:          Metapackages
Provides:       patterns-openSUSE-rest_dvd = %{version}
Provides:       pattern() = rest_dvd
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1980
Obsoletes:      patterns-openSUSE-rest_dvd < %{version}
%ifnarch s390x
Requires:       pattern() = gnome
Requires:       pattern() = gnome_basis
Requires:       pattern() = gnome_games
Requires:       pattern() = gnome_imaging
Requires:       pattern() = gnome_internet
Requires:       pattern() = gnome_multimedia
Requires:       pattern() = gnome_office
Requires:       pattern() = gnome_utilities
Requires:       pattern() = gnome_yast
Requires:       pattern() = imaging
Requires:       pattern() = kde
Requires:       pattern() = kde_edutainment
Requires:       pattern() = kde_games
Requires:       pattern() = kde_ide
Requires:       pattern() = kde_internet
Requires:       pattern() = kde_multimedia
Requires:       pattern() = kde_office
Requires:       pattern() = kde_plasma
Requires:       pattern() = kde_utilities
Requires:       pattern() = kde_utilities_opt
Requires:       pattern() = kde_yast
%endif
Requires:       arabic-fonts
Requires:       arphic-uming-fonts
Requires:       cracklib-dict-full
Requires:       indic-fonts
Requires:       ipa-gothic-fonts
Requires:       khmeros-fonts
Requires:       lklug-fonts
# boo#1185343
Requires:       udftools
Requires:       pattern() = apparmor
Requires:       pattern() = base
Requires:       pattern() = console
Requires:       pattern() = dhcp_dns_server
Requires:       pattern() = directory_server
Requires:       pattern() = enhanced_base
Requires:       pattern() = file_server
Requires:       pattern() = fonts
Requires:       pattern() = fonts_opt
Requires:       pattern() = games
Requires:       pattern() = lamp_server
Requires:       pattern() = laptop
Requires:       pattern() = mail_server
Requires:       pattern() = multimedia
Requires:       pattern() = office
Requires:       pattern() = print_server
Requires:       pattern() = rest_cd_core
Requires:       pattern() = sw_management
Requires:       pattern() = sw_management_gnome
Requires:       pattern() = x11
%ifarch x86_64
Requires:       pattern() = x86_64_v3
%endif
Recommends:     pattern() = xfce
Recommends:     pattern() = xfce_basis
Recommends:     pattern() = xfce_laptop
Recommends:     pattern() = xfce_office
Requires:       pattern() = yast2_basis
Requires:       pattern() = yast2_install_wf
Requires:       thai-fonts
Requires:       un-fonts
Requires:       yast2-trans-af
Requires:       yast2-trans-ar
Requires:       yast2-trans-bg
Requires:       yast2-trans-bn
Requires:       yast2-trans-bs
Requires:       yast2-trans-ca
Requires:       yast2-trans-cs
Requires:       yast2-trans-cy
Requires:       yast2-trans-da
Requires:       yast2-trans-de
Requires:       yast2-trans-el
Requires:       yast2-trans-en_GB
Requires:       yast2-trans-es
Requires:       yast2-trans-et
Requires:       yast2-trans-fa
Requires:       yast2-trans-fi
Requires:       yast2-trans-fr
Requires:       yast2-trans-gl
Requires:       yast2-trans-gu
Requires:       yast2-trans-hi
Requires:       yast2-trans-hr
Requires:       yast2-trans-hu
Requires:       yast2-trans-id
Requires:       yast2-trans-it
Requires:       yast2-trans-ja
Requires:       yast2-trans-jv
Requires:       yast2-trans-ka
Requires:       yast2-trans-km
Requires:       yast2-trans-ko
Requires:       yast2-trans-lo
Requires:       yast2-trans-lt
Requires:       yast2-trans-mk
Requires:       yast2-trans-mr
Requires:       yast2-trans-nb
Requires:       yast2-trans-nl
Requires:       yast2-trans-pa
Requires:       yast2-trans-pl
Requires:       yast2-trans-pt
Requires:       yast2-trans-pt_BR
Requires:       yast2-trans-ro
Requires:       yast2-trans-ru
Requires:       yast2-trans-si
Requires:       yast2-trans-sk
Requires:       yast2-trans-sl
Requires:       yast2-trans-sr
Requires:       yast2-trans-sv
Requires:       yast2-trans-ta
Requires:       yast2-trans-th
Requires:       yast2-trans-tr
Requires:       yast2-trans-uk
Requires:       yast2-trans-vi
Requires:       yast2-trans-wa
Requires:       yast2-trans-xh
Requires:       yast2-trans-zh_CN
Requires:       yast2-trans-zh_TW
Requires:       yast2-trans-zu
Recommends:     pattern() = books
Recommends:     pattern() = kvm_server
Recommends:     pattern() = minimal_base
Recommends:     pattern() = minimal_base-conflicts
Recommends:     pattern() = x11_yast
# bluncks 2nd baby
Recommends:     apport-gtk
Recommends:     apport-qt
# bnc#431280 (Japanese fonts)
Recommends:     arphic-uming-fonts
# autofs is tested by QA in staging
Recommends:     autofs
Recommends:     capi4hylafax
# FAX
Recommends:     capisuite
Recommends:     cellwriter
Recommends:     clicfs
Recommends:     createrepo
Recommends:     eekboard
Recommends:     git
Recommends:     isns
# kdump+tools
Recommends:     kdump
# all kernel flavors we want to have
Recommends:     kernel-default
Recommends:     kexec-tools
# kiwi as requested by ms
Recommends:     kiwi
Recommends:     kiwi-config-openSUSE
Recommends:     kiwi-desc-isoboot
Recommends:     kiwi-desc-netboot
Recommends:     kiwi-desc-oemboot
Recommends:     kiwi-desc-vmxboot
# needed for kiwi creation
Recommends:     kiwi-media-requires
Recommends:     kiwi-pxeboot
Recommends:     kiwi-templates
Recommends:     libc.so.6
# register your hardware
# no sync pattern
Recommends:     libopensync-plugin-google-calendar
Recommends:     libopensync-plugin-moto
Recommends:     libopensync-plugin-python-module
Recommends:     libpthread.so.0
Recommends:     libstdc++.so.6
Recommends:     libpthread.so.0(GLIBC_2.0)
Recommends:     libpthread.so.0(GLIBC_2.1)
Recommends:     libpthread.so.0(GLIBC_2.2)
Recommends:     libpthread.so.0(GLIBC_2.3.2)
Recommends:     libstdc++.so.6(CXXABI_1.3)
Recommends:     libstdc++.so.6(GLIBCXX_3.4)
Recommends:     libstdc++.so.6(GLIBCXX_3.4.9)
# very special case - 442295
# supporting lib for non-oss
Recommends:     libstdc++33
Recommends:     libsyncml-tools
# bnc#605888
Recommends:     libvdpau1
Recommends:     msynctool
Recommends:     nbd
Recommends:     nbd-doc
# yast needs nvme-cli to install / onto NVME
Recommends:     nvme-cli
# kernel modules
Recommends:     omnibook-kmp-default
Recommends:     omnibook-kmp-desktop
# #391434
Recommends:     open-vm-tools
Recommends:     openslp-server
# pam-extra needs to be present for upgraders, as pam_limits.so moved from pam to pam-extra
Recommends:     pam-extra
# qemu rocks
Recommends:     qemu
# #390825
Recommends:     qemu-kvm
Recommends:     qinternet
# bnc#626952
Recommends:     quota-nfs
Recommends:     rdesktop
# bnc#697047
Recommends:     siga
Recommends:     squashfs
Recommends:     sshfs
# could not find a better pattern
Recommends:     tigervnc
Recommends:     tsclient
# minimal korean support (bnc#390099)
Recommends:     un-fonts
# boo#972499
Recommends:     unbound
Recommends:     unison
Recommends:     vboxgtk
## 306071
Recommends:     virtualbox
Recommends:     virtualbox-guest-kmp-default
Recommends:     virtualbox-guest-kmp-desktop
Recommends:     virtualbox-qt
Recommends:     vmware-guest-kmp-default
Recommends:     vmware-guest-kmp-desktop
Recommends:     wacom-kmp
Recommends:     xorg-x11-driver-input
# #296387
Recommends:     xournal
Recommends:     xstroke
# feature 301945
Recommends:     yast2-add-on-creator
Recommends:     yast2-instserver
Recommends:     yast2-iscsi-server
# Internet Storage Name Service
Recommends:     yast2-isns
Recommends:     yast2-kdump
Recommends:     yast2-live-installer
Recommends:     yast2-nis-server
Recommends:     yast2-product-creator
# #301029
Recommends:     yast2-python3-bindings
Recommends:     yast2-slp-server
Suggests:       krdc
Suggests:       krfb
%ifarch ppc
Recommends:     gtkpbbuttons
# #381940
Recommends:     kernel-ppc64
Recommends:     pbbuttonsd
Recommends:     petitboot
Recommends:     powerprefs
# #387170
Recommends:     ps3-utils
%endif
%ifarch x86_64 ppc
Recommends:     nss_ldap-32bit
Recommends:     pam_krb5-32bit
Recommends:     pam_ldap-32bit
%endif
%ifarch ppc64
Recommends:     nss_ldap-64bit
Recommends:     pam_krb5-64bit
Recommends:     pam_ldap-64bit
%endif
# NVIDIA's openGPU driver
%ifarch x86_64 aarch64
Recommends:     kernel-firmware-nvidia-gsp-G06
Recommends:     nvidia-open-driver-G06-signed-kmp-default
%endif

%description rest_dvd
Packages that are on CD but not in other patterns.

%files rest_dvd
%dir %{_docdir}/patterns
%{_docdir}/patterns/rest_dvd.txt

################################################################################

%prep

%build

%install
mkdir -p "%{buildroot}%{_docdir}/patterns"
for i in rest_cd_core rest_dvd; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}%{_docdir}/patterns/$i.txt"
done

%changelog
* Tue Jun  3 2025 Dominique Leuenberger <dleuenberger@suse.com>
- Drop xen from the DVD.
* Mon Feb 24 2025 ro@suse.de
- drop crda, obsolete since kernel 4.15
* Mon Feb 17 2025 Stefan Schubert <schubi@suse.com>
- Added grub2-x86_64-efi-bls for EFI-BLS bootloader.
* Sat Feb  8 2025 Dominique Leuenberger <dimstar@opensuse.org>
- Drop transactional_base pattern: the transaction role
  has been removed a while back.
* Mon Nov 18 2024 Thorsten Kukuk <kukuk@suse.com>
- Add required packages for FDE+TPM
* Thu Sep 19 2024 Dominique Leuenberger <dleuenberger@suse.com>
- pam-extra needs to be present for upgraders, as pam_limits.so
  moved from pam to pam-extra. Ensure it's added to the DVD.
* Sat Aug 17 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Ensure autofs is on the DVD: it is tested by openQA in staging.
* Thu Nov 16 2023 Dominique Leuenberger <dleuenberger@suse.com>
- Drop libpurple-meanwhile plugin from the DVD; as the
  media-rest_dvd pattern was not installable for so long, some cruft
  that has not been missing from the DVD has accumulated.
- Do not recommend 32bit libraries on the DVD, except glibc-32bit.
- Drop seamonkey from the rest_dvd pattern recommends: it did not
  end up on the DVD anyway due to other locks.
- Drop hylafax as well: has not been on the DVD until below pattern
  fix was merged.
- Also drop patterns-network_admin: quite large with nagios and
  wireshark.
- Drop pulseaudio (which was missing for a while already) as we
  switched long ago to pipewire.
* Thu Nov 16 2023 Dominique Leuenberger <dleuenberger@suse.com>
- No longer require breeze5-wallpapers: this has been locked from
  the DVD for a long time already, but the requirement here
  actually makes the entire patterns-media-rest_dvd fall off the
  DVD.
* Thu Oct 12 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Require kernel-firmware-all instead of kernel-firmware
  (kernel-firmware-all provides/obsoletes kernel-firmware).
* Wed Mar 29 2023 Fabian Vogt <fvogt@suse.com>
- rest_dvd: Add breeze5-wallpapers (boo#1209838)
- Remove rest_core_dvd, it's unused. Some deps were added to it by
  accident, move them to rest_dvd.
- Remove rest_cd_{gnome,kde,x11}, unused.
* Mon Mar 27 2023 Dominique Leuenberger <dimstar@opensuse.org>
- limit last change to x86_64 arch builds.
* Thu Mar 23 2023 Fabian Vogt <fvogt@suse.com>
- rest_core_dvd: Add the x86_64_v3 pattern
* Mon Feb  6 2023 Stefan Dirsch <sndirsch@suse.com>
- rest_core_dvd: added recommends to packages for nVidia's openGPU
  driver
  * nvidia-open-driver-G06-signed-kmp-default
  * kernel-firmware-nvidia-gsp-G06
* Wed Jan 25 2023 Thorsten Kukuk <kukuk@suse.com>
- Remove NIS utilities, they are deprecated and will be removed
* Tue Sep  6 2022 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend reiserfs: the openSUSE kernel has disabled
  support for this fs, upstream kernel will follow.
* Wed Jul  6 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Recommend instead of require xfce* and network_admin patterns on
  the DVD: those patterns do not exist in staging.
* Wed Jul  6 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Ensure pulseaudio is part of the DVD.
* Fri Jun 25 2021 Matej Cepl <mcepl@suse.com>
- Replace pulling in yast2-python-bindings with yast2-python3-bindings.
* Tue May 11 2021 Dominique Leuenberger <dleuenberger@suse.com>
- Drop (almost empty) gnome_basis_opt pattern from the DVD (no relevance).
- Drop gnome_ide pattern from DVD (mainly gnome-builder, users of
  it will want many more devel packages, so they use the FTP
  tree anyway).
* Tue May  4 2021 Maurizio Galli <maurizio.galli@gmail.com>
- Use xfce4-pulseaudio-plugin instead of obsolete xfce4-mixer.
  xfce4-mixer is currently broken and being rewritten upstream.
* Wed Apr 28 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Recommend systemd-coredump by the rest_dvd_core pattern: ensure
  systemd-coredump to be on the DVD.
* Tue Apr 27 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Add udftools to the DVD (boo#1185343).
* Mon Oct 12 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Recommend chrony by rest_cd_core (yast pattern used to recommen
  it before)
* Wed Aug 26 2020 Dominique Leuenberger <dleuenberger@suse.com>
- Drop kde_imaging and technical_writing from the DVD (need space
  after we now compress zstd).
* Wed Jul  8 2020 Dominique Leuenberger <dleuenberger@suse.com>
- Drop LXDE from the DVD; It was actually not on the DVD until
  just a few days ago due to pattern errors. Now the pattern is
  fixed, and the DVD too large.
* Fri Jul  3 2020 Dominique Leuenberger <dleuenberger@suse.com>
- Drop yast2-trans-en_US recommends from media-rest: this package
  no longer exists.
* Wed Aug 21 2019 Dominique Leuenberger <dleuenberger@suse.com>
- Drop imaging_opt from rest_dvd: we are at a size limit;
  imaging_opt mainly consists of 'calibre'.
* Wed Dec  5 2018 Dominique Leuenberger <dimstar@opensuse.org>
- No longer require pattern x86: it's been removed from
  patterns-base.
* Thu Apr 26 2018 dimstar@opensuse.org
- Drop patterns devel_kde and devel_kde_frameworks from the DVD:
  the fast living pace of TW makes it a good platform for
  development, but developers will probably miss more things from
  the repo anyway and can install those patterns direcly from the
  online repo.
* Tue Apr 24 2018 dimstar@opensuse.org
- Add xf86-video-intel to rest_core_dvd and rest_cd_core
  (boo#1087063#c20).
* Thu Apr 12 2018 rbrown@suse.com
- Rename readonly_root_tools to transactional_base (boo#1089095)
* Fri Apr  6 2018 dimstar@opensuse.org
- Recommend xf86-video-nouveau by rest_core_dvd and rest_cd_core.
* Thu Apr  5 2018 dimstar@opensuse.org
- Require readonly_root_tools pattern by rest_dvd: add the pattern
  to the installation DVD (boo#1088229).
* Wed Apr  4 2018 dimstar@opensuse.org
- No longer require gnome_laptop by rest_cd_gnome: gnome_laptop has
  been dropped, as it was empty.
- No longer require gnome_admin, gnome_imaging_opt, gnome_laptop,
  gnome_multimedia_opt and gnome_office_opt by rest_DVD: those
  patterns were eliminated.
* Sat Jan 27 2018 dleuenberger@suse.com
- No longer require devel_python pattern: pattern has been dropped.
* Fri Dec 15 2017 dimstar@opensuse.org
- Replace yast2-storage with yast2-storage-ng in rest_cd_core.
* Wed Nov 29 2017 dimstar@opensuse.org
- Recommend notification-daemon by rest_dvd_core. This is to ensure
  notification-daemon ends up on the medium so that installations
  can 'cheaply' provide dbus(org.freedesktop.Notifications).
  Otherwise only KDE and GNOME provide this, which would result in
  them being installed into a minimal-X system.
* Wed Sep 27 2017 dleuenberger@suse.com
- Drop stuff from the rest_cd_core pattern (resotre feature parity
  with previous live images). None of that stuff was there before
  and one can argue there is no need to have them now. Some make
  sense on the RescueCD, will rework those later (marked with +)
  * gnu_dd_rescue, dd_rescue, gparted (+)
  * fvwm2 and fvwm2-theme
  * gv
  * grsync (+)
  * krb5-client
  * ksh, tcsh and zsh
  * lftp (+)
  * makedev
  * mc (+)
  * mmv
  * nss_ldap
  * pam_krb5
  * par
  * pmidi
  * wine
  * xine-ui
  * xosd
  * xosview
* Fri Sep  8 2017 sflees@suse.de
- Add rest-cd-core pattern with all the common packages
- Run extracts through spec-cleaner to order them more uniformly
- Add the following packages that are no longer in patterns-base to
  the rest-core-cd pattern to ensure they stay on the media.
  * insserv
  * systemd-logger
  * makedev
  * par
  * db-utils
  * jfsutils
  * libatm1
  * lsb-release
  * ppp
  * pptp
  * reiserfs
  * ypbind
  * yptools
  * fvwm2
  * fvwm-themes
  * gv
  * mmv
  * pmidi
  * suspend
  * xine-ui
  * xosd
  * xosview
  * wine
  * ksh
  * tcsh
  * zsh
  * open-iscsi
* Fri Aug 25 2017 dleuenberger@suse.com
- Remove kde_telepathy from rest_dvd pattern.
* Tue Aug 22 2017 fvogt@suse.com
- Remove references to sw_management_kde pattern as it got merged
  into kde_yast
* Tue Jul 25 2017 tchvatal@suse.com
- Fluendo should not be needed anymore thus drop it
* Mon Jul 17 2017 dimstar@opensuse.org
- Add the x86 pattern to the DVD - it provides glibc-32bit (needed
  by steam and such) and used to be pulled in automatically until
  we stopped adding glibc-32bit to the base pattern.
* Wed Jul  5 2017 dimstar@opensuse.org
- Minimally rework the rescue cd content (rest_cd_x11):
  + No longer recommend dvb (it's slated for removal from TW).
  + No longer recommend awesfx (unimportant for rescue systems).
  + Drop espeak/sbl recommends. Nobody tested this ever and it is
    not working on the rescue cd already.
  + Drop gparted and xfce4-notifyd recommends: the pattern also
    requires those packages.
* Sun Jun  4 2017 zaitor@opensuse.org
- Drop xf86-video-intel Recommends from all patterns: modesetting
  driver from Mesa is preferd these days.
- Drop ndiswrapper-kmp-desktop, ndiswrapper-kmp-default and
  ndiswrapper Recommends from all patterns.
* Tue May 30 2017 dimstar@opensuse.org
- Do not require GNOME and KDE patterns on s390x: This platform
  does not appeal to users of graphical user interfaces.
* Sat May 20 2017 dleuenberger@suse.com
- Drop dependency on office_opt: it was an empty pattern that has
  been removed.
* Sun May  7 2017 sflees@suse.de
- Remove Requires on patterns that no longer exist from rest dvd
  * non_oss
  * office_opt
* Sun May  7 2017 dleuenberger@suse.com
- Fix dependency for patterns-media-rest_cd_x11.
* Fri Apr 28 2017 jengelh@inai.de
- Compact %%install routine; replace old RPM shell vars by macros.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
